%define oname	pywebkitgtk

Summary:	Python bindings for WebKitGtk
Name:		python-webkitgtk
Version:	1.1.8
Release:	%mkrel 5
Source0:	http://pywebkitgtk.googlecode.com/files/%{oname}-%{version}.tar.xz
License:	LGPLv2+
Group:		Development/Python
URL:		http://code.google.com/p/pywebkitgtk/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	webkitgtk-devel
BuildRequires:	pygtk2.0-devel
%py_requires
Provides:	%{oname} = %{version}-%{release}
Obsoletes:	pywebkitgtk


%description
PyWebKitGtk provides an API for developers to program WebKit/Gtk using
Python.
%package devel
Summary:    Headers of %{name} for development
Group:      Development/Libraries
Requires:   %{name}
Provides:   %{name}-devel = %{version}-%{release}


%description devel
Headers of %{name} for development.


%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS MAINTAINERS NEWS README
%{py_platsitedir}
%{_datadir}/pywebkitgtk/defs/webkit-*.defs

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/pywebkitgtk-1.0.pc



%changelog
* Thu Sep 05 2013 billybot <billybot> 1.1.8-4pclos2013
- rebuild against updated webkitgtk

* Sat Aug 10 2013 billybot <billybot> 1.1.8-3pclos2013
- update python 2.7

* Wed May 08 2013 Texstar <texstar at gmail.com> 1.1.8-3pclos2013
- move .pc file to devel rpm

* Thu Sep 02 2010 Texstar <texstar at gmail.com> 1.1.8-2pclos2010
- rebuild for python 2.6.6

* Fri Aug 13 2010 Texstar <texstar at gmail.com> 1.1.8-1plclos2010
- 1.1.8

* Sat Jan 09 2010 Texstar <texstar at gmail.com> 1.1.5-3pclos2010
- rebuild

* Mon Sep 21 2009 pcserver <pcserver at hush.com>
- update & rebuild

